package cl.axg.exoplayer.srt_protocolo;

import com.google.android.exoplayer2.upstream.DataSource;

import org.jetbrains.annotations.NotNull;


public class SrtLiveStreamDataSourceFactory implements DataSource.Factory {

    private  String srtUrl ;
    private  int port ;
    private  String passPhrase ;


    public SrtLiveStreamDataSourceFactory(String srtUrl , int port , String passPhrase )
    {
        this.srtUrl = srtUrl;
        this.port = port;
        this.passPhrase = passPhrase;
    }

    @NotNull
    @Override
    public DataSource createDataSource()
    {
        return new SrtLiveStreamDataSource(srtUrl, port, passPhrase);
    }
}
